version: 1
directus: 11.14.1
vendor: postgres
collections:
  - collection: contact_submissions
    meta:
      accountability: all
      archive_app_filter: true
      collapse: open
      collection: contact_submissions
      color: '#002b49'
      display_template: '{{name}} | {{email}}'
      hidden: false
      icon: contact_mail
      singleton: false
    schema:
      name: contact_submissions
fields:
  - collection: contact_submissions
    field: id
    type: uuid
    meta:
      collection: contact_submissions
      field: id
      hidden: true
      sort: 1
    schema:
      name: id
      table: contact_submissions
      data_type: uuid
      is_nullable: false
      is_primary_key: true
  - collection: contact_submissions
    field: name
    type: string
    meta:
      collection: contact_submissions
      field: name
      interface: input
      sort: 2
    schema:
      name: name
      table: contact_submissions
      data_type: character varying
  - collection: contact_submissions
    field: email
    type: string
    meta:
      collection: contact_submissions
      field: email
      interface: input
      sort: 3
    schema:
      name: email
      table: contact_submissions
      data_type: character varying
  - collection: contact_submissions
    field: message
    type: text
    meta:
      collection: contact_submissions
      field: message
      interface: textarea
      sort: 4
    schema:
      name: message
      table: contact_submissions
      data_type: text
  - collection: contact_submissions
    field: date_created
    type: timestamp
    meta:
      collection: contact_submissions
      field: date_created
      interface: datetime
      readonly: true
      sort: 5
    schema:
      name: date_created
      table: contact_submissions
      data_type: timestamp with time zone
      default_value: CURRENT_TIMESTAMP
relations: []
